## org.apache.taglibs.standard.lang.jstl
Class BeanInfoIndexedProperty

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BeanInfoIndexedProperty

    public class BeanInfoIndexedProperty

extends Object

This contains the information for one indexed property in a BeanInfo - IndexedPropertyDescriptor, read method, and write method. This class is necessary because the read/write methods in the IndexedPropertyDescriptor may not be accessible if the bean given to the introspector is not a public class. In this case, a publicly accessible version of the method must be found by searching for a public superclass/interface that declares the method (this searching is done by the BeanInfoManager).

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`BeanInfoIndexedProperty(Method pReadMethod, Method pWriteMethod, IndexedPropertyDescriptor pIndexedPropertyDescriptor)` Constructor

Method Summary
`IndexedPropertyDescriptor` `getIndexedPropertyDescriptor()`
`Method` `getReadMethod()`
`Method` `getWriteMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanInfoIndexedProperty

    public BeanInfoIndexedProperty(Method pReadMethod,
                                   Method pWriteMethod,
                                   IndexedPropertyDescriptor pIndexedPropertyDescriptor)

  Constructor

Method Detail

### getReadMethod

    public Method getReadMethod()

### getWriteMethod

    public Method getWriteMethod()

### getIndexedPropertyDescriptor

    public IndexedPropertyDescriptor getIndexedPropertyDescriptor()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.